Name:           atitvout
Version:        0.4
Release:        0.fdr.2.rh80
Epoch:          0
Summary:        ATI TV-out support program

License:        GPL
Group:          Applications/Multimedia
URL:            http://www.stud.uni-hamburg.de/users/lennart/projects/atitvout/
Source0:        http://www.stud.uni-hamburg.de/users/lennart/projects/atitvout/atitvout-0.4.tar.gz
Patch0:         atitvout-rv200.patch
Patch1:         http://ftp.debian.org/debian/pool/main/a/atitvout/atitvout_0.4-2.diff.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
ExclusiveArch:  %{ix86}

%description
This utility program may be used for executing several configuration
commands for the TV Out connector of ATI Rage Mobility P/M graphics
boards under GNU/Linux on x86. It is intended primarily to enable TV
Out support after bootup and for switching the used TV standard from
NTSC to PAL.
The utility makes use of x86-VESA-BIOS-calls and thus is not portable
to other architectures like PPC: No TV-Out on Macs with this tool.

# -----------------------------------------------------------------------------

%prep
%setup -q -n atitvout
%patch0 -p0
%patch1 -p1
perl -pi -e 's|(-O2 )?-g|\$(RPM_OPT_FLAGS)|' Makefile lrmi-0.6/Makefile

# -----------------------------------------------------------------------------

%build
make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man1}
cp -p atitvout $RPM_BUILD_ROOT%{_sbindir}
cp -p debian/atitvout.1 $RPM_BUILD_ROOT%{_mandir}/man1

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc COPYING HARDWARE README
%attr(0755,root,root) %{_sbindir}/*
%{_mandir}/*/*

# -----------------------------------------------------------------------------

%changelog
* Sat Jun 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4-0.fdr.2
- Spec cleanups.

* Sun Apr 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4-0.fdr.1
- Rebuild according to Fedora guidelines.

* Sun Feb  9 2003 Ville Skyttä <ville.skytta at iki.fi> - 0.4-1.fedora.1
- First Fedora release.
